org.eclipse.gef.mvc.fx.parts

## Interface IBendableContentPart<V extends javafx.scene.Node>

Type Parameters:
  `V` - The visual node used by this `IBendableContentPart`.

All Superinterfaces:
  IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IContentPart<V>, IDisposable, IResizableContentPart<V>, ITransformableContentPart<V>, IVisualPart<V>

    public interface IBendableContentPart<V extends javafx.scene.Node>
    extends ITransformableContentPart<V>, IResizableContentPart<V>

An `IContentPart` that supports content related bend, i.e. manipulation of control points.

### Property Summary

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

Nested Classes
`static class` `IBendableContentPart.BendPoint` A representation of a bend point, which is defined either by a point or by a content anchorage to which the content is attached.

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

Fields
`static java.lang.String` `CONTROL_ROLE_PREFIX` Default role prefix for intermediary `IBendableContentPart.BendPoint`s.
`static java.lang.String` `SOURCE_ROLE` Default role for the first `IBendableContentPart.BendPoint`.
`static java.lang.String` `TARGET_ROLE` Default role for the last `IBendableContentPart.BendPoint`.

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`TRANSFORM_PROVIDER_KEY, TRANSFORM_PROVIDER_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Connection` `getBendableVisual()` Returns the visual to bend.
`java.util.List<IBendableContentPart.BendPoint>` `getContentBendPoints()` Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s content.
`default Dimension` `getContentSize()` Returns the current size according to this part's content.
`default javafx.scene.transform.Affine` `getContentTransform()` Returns the current `Affine` according to this `ITransformableContentPart`'s content.
`default java.lang.String` `getRole(java.util.List<IBendableContentPart.BendPoint> bendPoints, int index)` Returns the role that is used to determine the `IAnchor` for the `IBendableContentPart.BendPoint` at the given index of the given `List` of `IBendableContentPart.BendPoint`s.
`default java.util.List<IBendableContentPart.BendPoint>` `getVisualBendPoints()` Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s visual.
`default Dimension` `getVisualSize()` Returns the current size according to this `IResizableContentPart` 's visual.
`default javafx.scene.transform.Affine` `getVisualTransform()` Returns the current transform according to this `ITransformableContentPart`'s visual.
`void` `setContentBendPoints(java.util.List<IBendableContentPart.BendPoint> bendPoints)` Bends the content element as specified through the given bend points.
`default void` `setContentSize(Dimension totalSize)` Resizes the content element as specified by the given `Dimension`.
`default void` `setContentTransform(javafx.scene.transform.Affine totalTransform)` Set the content transformation as specified by the given `AffineTransform`.
`default void` `setVisualBendPoints(java.util.List<IBendableContentPart.BendPoint> bendPoints)` Bends the visual as specified by the given bend points.
`default void` `setVisualSize(Dimension totalSize)` Resizes the visual of this `IResizableContentPart` to the given size.
`default void` `setVisualTransform(javafx.scene.transform.Affine totalTransform)` Sets the given `Affine` as the `visual transform` of this `ITransformableContentPart`.

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContent, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Field Detail

#### SOURCE_ROLE

    static final java.lang.String SOURCE_ROLE

Default role for the first `IBendableContentPart.BendPoint`.

See Also:
  Constant Field Values

#### TARGET_ROLE

    static final java.lang.String TARGET_ROLE

Default role for the last `IBendableContentPart.BendPoint`.

See Also:
  Constant Field Values

#### CONTROL_ROLE_PREFIX

    static final java.lang.String CONTROL_ROLE_PREFIX

Default role prefix for intermediary `IBendableContentPart.BendPoint`s.

See Also:
  Constant Field Values

### Method Detail

#### getBendableVisual

    default Connection getBendableVisual()

Returns the visual to bend.

Returns:
  The visual to bend.

#### getContentBendPoints

    java.util.List<IBendableContentPart.BendPoint> getContentBendPoints()

Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s content.

Returns:
  The `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s content.

#### getContentSize

    default Dimension getContentSize()

Description copied from interface: `IResizableContentPart`
Returns the current size according to this part's content.

Specified by:
  `getContentSize` in interface `IResizableContentPart<V extends javafx.scene.Node>`
Returns:
  The current size according to this part's content.

#### getContentTransform

    default javafx.scene.transform.Affine getContentTransform()

Description copied from interface: `ITransformableContentPart`
Returns the current `Affine` according to this `ITransformableContentPart`'s content.

Specified by:
  `getContentTransform` in interface `ITransformableContentPart<V extends javafx.scene.Node>`
Returns:
  The current `Affine` according to this `ITransformableContentPart`'s content.

#### getRole

    default java.lang.String getRole(java.util.List<IBendableContentPart.BendPoint> bendPoints,
                                     int index)

Returns the role that is used to determine the `IAnchor` for the `IBendableContentPart.BendPoint` at the given index of the given `List` of `IBendableContentPart.BendPoint`s.

Parameters:
  `bendPoints` - The `List` of `IBendableContentPart.BendPoint`s.
  `index` - The index specifying the `IBendableContentPart.BendPoint` for which to determine the role.
Returns:
  The role that is used to determine the `IAnchor` for the specified `IBendableContentPart.BendPoint`.

#### getVisualBendPoints

    default java.util.List<IBendableContentPart.BendPoint> getVisualBendPoints()

Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s visual.

Returns:
  The `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s visual.

#### getVisualSize

    default Dimension getVisualSize()

Description copied from interface: `IResizableContentPart`
Returns the current size according to this `IResizableContentPart` 's visual.

Specified by:
  `getVisualSize` in interface `IResizableContentPart<V extends javafx.scene.Node>`
Returns:
  The current size according to this `IResizableContentPart` 's visual.

#### getVisualTransform

    default javafx.scene.transform.Affine getVisualTransform()

Description copied from interface: `ITransformableContentPart`
Returns the current transform according to this `ITransformableContentPart`'s visual.

Specified by:
  `getVisualTransform` in interface `ITransformableContentPart<V extends javafx.scene.Node>`
Returns:
  The current transform according to this `ITransformableContentPart`'s visual.

#### setContentBendPoints

    void setContentBendPoints(java.util.List<IBendableContentPart.BendPoint> bendPoints)

Bends the content element as specified through the given bend points.

Parameters:
  `bendPoints` - The bend points.

#### setContentSize

    default void setContentSize(Dimension totalSize)

Description copied from interface: `IResizableContentPart`
Resizes the content element as specified by the given `Dimension`.

Specified by:
  `setContentSize` in interface `IResizableContentPart<V extends javafx.scene.Node>`
Parameters:
  `totalSize` - The new size.

#### setContentTransform

    default void setContentTransform(javafx.scene.transform.Affine totalTransform)

Description copied from interface: `ITransformableContentPart`
Set the content transformation as specified by the given `AffineTransform`.

Specified by:
  `setContentTransform` in interface `ITransformableContentPart<V extends javafx.scene.Node>`
Parameters:
  `totalTransform` - The `AffineTransform` to set.

#### setVisualBendPoints

    default void setVisualBendPoints(java.util.List<IBendableContentPart.BendPoint> bendPoints)

Bends the visual as specified by the given bend points.

Parameters:
  `bendPoints` - The bend points.

#### setVisualSize

    default void setVisualSize(Dimension totalSize)

Description copied from interface: `IResizableContentPart`
Resizes the visual of this `IResizableContentPart` to the given size.

Specified by:
  `setVisualSize` in interface `IResizableContentPart<V extends javafx.scene.Node>`
Parameters:
  `totalSize` - The new size for this `IResizableContentPart`'s visual.

#### setVisualTransform

    default void setVisualTransform(javafx.scene.transform.Affine totalTransform)

Description copied from interface: `ITransformableContentPart`
Sets the given `Affine` as the `visual transform` of this `ITransformableContentPart`.

Specified by:
  `setVisualTransform` in interface `ITransformableContentPart<V extends javafx.scene.Node>`
Parameters:
  `totalTransform` - The `Affine` that is to be set as the `visual transform` of this `ITransformableContentPart`.